import { ElementRef, Renderer } from "@angular/core";
export interface ISuiAnimation {
    name: string;
    classes?: string[];
    duration?: number;
    static?: boolean;
    display?: string;
    direction?: string;
    callback?: () => any;
}
export declare class SuiTransition {
    private el;
    private renderer;
    constructor(el: ElementRef, renderer: Renderer);
    private _isAnimating;
    isAnimating: boolean;
    private animationTimeout;
    private _isVisible;
    isVisible: boolean;
    private _isHidden;
    isHidden: boolean;
    private queue;
    private queueFirst();
    animate(animation: ISuiAnimation): void;
    private performAnimation();
    private finishAnimation(animation);
    stop(): void;
    stopAll(): void;
    clearQueue(): void;
}
export declare const SUI_TRANSITION_DIRECTIVES: typeof SuiTransition[];
